Bug 3854 - Xvfb: valgrind complaint - FindColor()
Summary: Xvfb: valgrind complaint - FindColor()
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xorg (show other bugs)
Version: git
Hardware: Other Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-24 04:21 UTC by Stuart Anderson
Modified: 2014-04-08 13:14 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Stuart Anderson 2005-07-24 04:21:44 UTC
valgrind gives the following complain several times during start up. It looks 
like there may be a path where the pixel value is not being initialized. 
 
==9580== Use of uninitialised value of size 4 
==9580==    at 0x8066650: FindColor 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9580==    by 0x8065A1E: AllocColor 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9580==    by 0x81585B9: miBuildRenderColormap 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9580==    by 0x8158BB4: miInitIndexed 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9580==    by 0x814E944: PictureInitIndexedFormats 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9580==    by 0x814E9BB: PictureFinishInit 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9580==    by 0x8150B48: RenderExtensionInit 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9580==    by 0x805686B: InitExtensions 
(in /usr/src/xorg/xc/programs/Xserver/Xvfb) 
==9580==    by 0x8059162: main (in /usr/src/xorg/xc/programs/Xserver/Xvfb)
Comment 1 Daniel Stone 2007-02-27 01:27:24 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 2 Adam Jackson 2014-04-08 13:14:40 UTC
Not sure exactly which commit fixed it, but no longer seeing this with pre-1.16.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.